org.kie.internal.services

## Class KieWeaversImpl

- java.lang.Object
- - org.kie.internal.services.KieWeaversImpl

- All Implemented Interfaces:
    Consumer<org.kie.api.internal.weaver.KieWeaverService>, org.kie.api.internal.utils.KieService, org.kie.api.internal.weaver.KieWeavers, org.kie.api.Service

      public class KieWeaversImpl
      extends Object
      implements org.kie.api.internal.weaver.KieWeavers, Consumer<org.kie.api.internal.weaver.KieWeaverService>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KieWeaversImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(org.kie.api.internal.weaver.KieWeaverService weaver)`
    `Map<org.kie.api.io.ResourceType,org.kie.api.internal.weaver.KieWeaverService>` | `getWeavers()`
    `void` | `merge(org.kie.api.KieBase kieBase, org.kie.api.definition.KiePackage pkg, org.kie.api.internal.io.ResourceTypePackage rtkKpg)`
    `void` | `weave(org.kie.api.KieBase kieBase, org.kie.api.definition.KiePackage newPkg, org.kie.api.internal.io.ResourceTypePackage rtkKpg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

- - ### Constructor Detail

    - #### KieWeaversImpl

          public KieWeaversImpl()

  - ### Method Detail

    - #### getWeavers

          public Map<org.kie.api.io.ResourceType,org.kie.api.internal.weaver.KieWeaverService> getWeavers()

    - #### accept

          public void accept(org.kie.api.internal.weaver.KieWeaverService weaver)

      Specified by:
        `accept` in interface `Consumer<org.kie.api.internal.weaver.KieWeaverService>`

    - #### weave

          public void weave(org.kie.api.KieBase kieBase,
                            org.kie.api.definition.KiePackage newPkg,
                            org.kie.api.internal.io.ResourceTypePackage rtkKpg)

      Specified by:
        `weave` in interface `org.kie.api.internal.weaver.KieWeavers`

    - #### merge

          public void merge(org.kie.api.KieBase kieBase,
                            org.kie.api.definition.KiePackage pkg,
                            org.kie.api.internal.io.ResourceTypePackage rtkKpg)

      Specified by:
        `merge` in interface `org.kie.api.internal.weaver.KieWeavers`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.